# 🎨 LeUX

<a href="https://twitter.com/alcquis" target="\_parent">
	<img alt="#alcquis" src="https://img.shields.io/twitter/follow/alcquis?style=social"/>
</a>
<a href="https://www.npmjs.com/package/leux" target="\_parent">
  <img alt="#npm" src="https://img.shields.io/npm/v/leux">
</a>
<a href="https://www.npmjs.com/package/leux" target="\_parent">
  <img alt="#npm" src="https://img.shields.io/npm/dm/leux">
</a>
<a href="https://nodejs.org/en/blog/release/v14.17.3/" target="\_parent">
  <img alt="#node" src="https://img.shields.io/badge/node-%3D%3E16.14.0-purple">
</a>

<div>
	<img src="./coverage/badge-functions.svg">
	<img src="./coverage/badge-statements.svg">
	<img src="./coverage/badge-lines.svg">
	<img src="./coverage/badge-branches.svg">
</div>

> An awesome React component library. (**_Work in progress_**)

[Docs](https://leux.vercel.app/)

## 🎈 Overview

Leux is a simple, lightweight, and fast React framework. It's built with the latest web technologies and is fully responsive.
The framework is designed to be easy to use and easy to learn.
The idea came when i have to redesign my own projects with the same UI/UX identity, so i decided to make it public for everyone as a library.

## 📦 Install

You can install this package using the following commands

```bash
npm install leux
```

### ✨ CSS

To upload the CSS styles, you can move the **leux.min.css** from the **node_modules/leux/dist** folder to your project folder and import it in your **index.html** file.

### To-do

- finish all components
- set required on props API reference
- improve tests and test coverage
- theme customization ???
- i18n

## Next steps:

- [ ] components
  - [x] Avatar
  - [x] Badge
  - [x] Box
  - [x] Button
  - [x] Dropdown
  - [x] Form
    - [x] Checkbox
    - [x] Input
    - [x] Radio
    - [x] Select
    - [x] Textarea
  - [x] Grid
  - [x] Modal
  - [ ] Skeleton
  - [x] Table
  - [ ] Toast
  - [x] Tooltip
  - [x] Topography
- [ ] add more tests
- [ ] improve documentation
- [x] build and publish the docs
- [ ] add i18n support
