type LeBreakpoints = "sm" | "md" | "lg" | "xl";
type LeBreakpointType = {
    breakpoint: LeBreakpoints;
};
/**
 * useBreakpoint hook
 *
 * A one-liner hook to get the current breakpoint based on the window.innerWidth
 * always updated when the window is resized.
 *
 *
 * @returns {LeBreakpointType} `sm | md | lg | xl`
 */
declare function useBreakpoint(): LeBreakpointType;
export { useBreakpoint, LeBreakpoints, LeBreakpointType };
